List:General Discussion« Previous MessageNext Message »
From:David (SST - Adelaide) Logan Date:December 30 2004 11:50pm
Subject:RE: Install fails
View as plain text  
Hi Bernhard,

Check the binary to see the path name it is requiring. ie. ldd /usr/local/libexec/mysqld,
I'm running an earlier version (4.0.20) and not running max so I probably don't require
the libCrun library, it is in my /usr/lib as well, but the output is :

bash-2.05$ ldd /usr/local/libexec/mysqld
        librt.so.1 =>    /usr/lib/librt.so.1
        libdl.so.1 =>    /usr/lib/libdl.so.1
        libpthread.so.1 =>       /usr/lib/libpthread.so.1
        libthread.so.1 =>        /usr/lib/libthread.so.1
        libz.so =>       /usr/lib/libz.so
        libcrypt_i.so.1 =>       /usr/lib/libcrypt_i.so.1
        libgen.so.1 =>   /usr/lib/libgen.so.1
        libsocket.so.1 =>        /usr/lib/libsocket.so.1
        libnsl.so.1 =>   /usr/lib/libnsl.so.1
        libstdc++.so.6 =>        /usr/local/lib/libstdc++.so.6
        libm.so.1 =>     /usr/lib/libm.so.1
        libgcc_s.so.1 =>         /usr/local/lib/libgcc_s.so.1
        libc.so.1 =>     /usr/lib/libc.so.1
        libaio.so.1 =>   /usr/lib/libaio.so.1
        libmd5.so.1 =>   /usr/lib/libmd5.so.1
        libmp.so.2 =>    /usr/lib/libmp.so.2
bash-2.05$ uname -a
SunOS porkchop 5.9 Generic_112234-12 i86pc i386 i86pc

It may be the version that has been built is looking in the wrong place. This will tell
you straight away and you may have to set the linkage run paths using the crle command.
Run crle and see if the path (for libCrun.so.1) is there. If not, then add it.

Regards



David Logan
Database Administrator
HP Managed Services
148 Frome Street,
Adelaide 5000
Australia

+61 8 8408 4273 - Work
+61 417 268 665 - Mobile
+61 8 8408 4259 - Fax


-----Original Message-----
From: Bernhard v. Fromberg [mailto:b.fromberg@stripped] 
Sent: Friday, 31 December 2004 12:37 AM
To: mysql@stripped
Subject: Install fails

Hello,

I tried to install mysql-max-4.1.8-pc-solaris2.9-i386
on v20z with Solaris 9 04/04.

I get the following error message:
ld.so.1: ./bin/mysqld: fatal: libCrun.so.1: version `SUNW_1.4' not found 
(required by file ./bin/mysqld)
ld.so.1: ./bin/mysqld: fatal: libCrun.so.1: open failed: No such file or 
directory

The strange thing is. libCrun.so.1 is in /usr/lib. I have no idea what 
can be wrong:
Here is the output of what /usr/lib/libCrun.so.1

/usr/lib/libCrun.so.1:
        release.cc 1.2 01/08/04 SMI
        crti.s 1.16 01/11/29 SMI
        CCrti.s 1.7 01/11/29 SMI
        thread.h
        signal.h
        feature_tests.h
        isa_defs.h
        unistd.h
        siginfo.h
        types.h
        machtypes.h
        int_types.h
        select.h
        time.h
        time.h
        time_iso_SUNWCC.h
        time_impl.h
        machsig.h
        faultcode.h
        synch.h
        machlock.h
        synch.h
        stddef.h
        stddef_iso_SUNWCC.h
        stdlib.h
        stdlib_iso_SUNWCC.h
        nl_types.h
        stdio.h
        stdio_iso_SUNWCC.h
        va_list.h
        stdio_tag.h
        stdio_impl.h
        string.h
        string_iso_SUNWCC.h
        assert.h
        unistd.h
        limits.h
        int_limits.h
        signal.h
        signal_iso_SUNWCC.h
        procset.h
        RELEASE VERSION Sun C++ 5.5 Patch 111713-05 2003/12/19
        CCrtn.s 1.6 01/11/06 SMI
        crtn.s 1.10 01/08/07 SMI

TIA and a happy new year.

Bernhard Fromberg

-- 
Mit freundlichen Grüssen,
Bernhard Fromberg


-- 
MySQL General Mailing List
For list archives: http://lists.mysql.com/mysql
To unsubscribe:    http://lists.mysql.com/mysql?unsub=1

Thread
Install failsBernhard v. Fromberg30 Dec
  • Re: Install failsSasha Pachev31 Dec
RE: Install failsSST - Adelaide)31 Dec